# Generated by Django 2.0.5 on 2022-02-14 15:56

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0103_profile_default_landing_page'),
        ('document', '0074_auto_20220210_0828'),
    ]

    operations = [
        migrations.CreateModel(
            name='SalesOrderStatusSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('in_progress_status', models.PositiveIntegerField(null=True)),
                ('waiting_on_smartnet_status', models.PositiveIntegerField(null=True)),
                ('closed_statuses', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), default=[], size=None)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RenameField(
            model_name='salespurchaseorderdata',
            old_name='status',
            new_name='status_name',
        ),
        migrations.AddField(
            model_name='salespurchaseorderdata',
            name='status_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
    ]
